/**
 * @file	Trivial.java
 * 
 * @date	Feb 3, 2005
 * @author	Alexandre Bouchard
 */
package ca.mcgill.lmp.tests.montecarlo;

import ca.mcgill.lmp.MeasurableFunction;
import ca.mcgill.lmp.State;
import ca.mcgill.lmp.approx.MonteCarlo;
import ca.mcgill.lmp.util.MultiInterval;
import ca.mcgill.lmp.util.RnState;
import ca.mcgill.lmp.util.measures.BorelMeasure;

/**
 * 
 *
 */
public class Trivial
{

    public static void main(String[] args)
    {
        MultiInterval unitInterval = new MultiInterval(0, 1);
        SquareFunction f = new SquareFunction();
        MonteCarlo integrator = new MonteCarlo(new BorelMeasure(1));
        integrator.setMonteCarloTrials(200000);
        System.out.println("Integral of x**2 over [1,5] = " + 4*integrator.integrate(f));
    }
}

class SquareFunction implements MeasurableFunction
{

    /**
     * @param s
     * @return
     */
    public double evaluateAt(State s)
    {
        RnState point = (RnState) s;
        double x = 4 * point.getCoordinate(0) + 1;
        return x*x;
    }
    
}