/**
 * @file	DiscreteState.java
 * 
 * @date	Feb 8, 2005
 * @author	Alexandre Bouchard
 */
package ca.mcgill.lmp.util;

import ca.mcgill.lmp.State;

/**
 * 
 *
 */
public class DiscreteState implements State
{
	/**
	 * Comment for <code>index</code>
	 */
	private int index;
	
	/**
	 * Comment for <code>description</code>
	 */
	private Object description;
	
	/**
	 * @param index
	 */
	public DiscreteState(int index)
	{
		this.index = index;	
		this.description = "s" + index;
	}
	
	/**
	 * @param index
	 * @param description
	 */
	public DiscreteState(int index, Object description)
	{
		this.index = index;
		this.description = description;
	}
	
	/**
	 * @return
	 */
	public String toString() 
	{
		return (String) description;
	}
	
	/**
	 * @return
	 */
	public Object getDescription()
	{
		return description;
	}
	
	/**
	 * @return
	 */
	public int getIndex()
	{
		return index;
	}
	
	/**
	 * @param state2
	 * @return
	 */
	public boolean equals(Object state2) 
	{
		if (state2 instanceof DiscreteState)
		{
			if (((DiscreteState) state2).index == this.index)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		else
		{
			return false;
		}
	}
	
	/**
	 * @return
	 */
	public int hashCode() 
	{
		return index;
	}
}
